Package org.eclipse.rdf4j.benchmark.jmh_generated

## Class ReasoningBenchmark_noReasoning_jmhTest

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.jmh_generated.ReasoningBenchmark_noReasoning_jmhTest

-     public final class ReasoningBenchmark_noReasoning_jmhTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReasoningBenchmark_noReasoning_jmhTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoning_AverageTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoning_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `static void` | `noReasoning_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoning_SampleTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoning_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoning_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |
    `org.openjdk.jmh.results.BenchmarkTaskResult` | `noReasoning_Throughput​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)` |
    `static void` | `noReasoning_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReasoningBenchmark_noReasoning_jmhTest

          public ReasoningBenchmark_noReasoning_jmhTest()

  - ### Method Detail

    - #### noReasoning_Throughput

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoning_Throughput​(org.openjdk.jmh.runner.InfraControl control,
                                                                                    org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                             throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_thrpt_jmhStub

          public static void noReasoning_thrpt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                       org.openjdk.jmh.results.RawResults result,
                                                       org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                       org.openjdk.jmh.infra.IterationParams iterationParams,
                                                       org.openjdk.jmh.infra.ThreadParams threadParams,
                                                       org.openjdk.jmh.infra.Blackhole blackhole,
                                                       org.openjdk.jmh.infra.Control notifyControl,
                                                       int startRndMask,
                                                       ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_AverageTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoning_AverageTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                     org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                              throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_avgt_jmhStub

          public static void noReasoning_avgt_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                      org.openjdk.jmh.results.RawResults result,
                                                      org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                      org.openjdk.jmh.infra.IterationParams iterationParams,
                                                      org.openjdk.jmh.infra.ThreadParams threadParams,
                                                      org.openjdk.jmh.infra.Blackhole blackhole,
                                                      org.openjdk.jmh.infra.Control notifyControl,
                                                      int startRndMask,
                                                      ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                               throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_SampleTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoning_SampleTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                    org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                             throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_sample_jmhStub

          public static void noReasoning_sample_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                        org.openjdk.jmh.results.RawResults result,
                                                        org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                        org.openjdk.jmh.infra.IterationParams iterationParams,
                                                        org.openjdk.jmh.infra.ThreadParams threadParams,
                                                        org.openjdk.jmh.infra.Blackhole blackhole,
                                                        org.openjdk.jmh.infra.Control notifyControl,
                                                        int startRndMask,
                                                        org.openjdk.jmh.util.SampleBuffer buffer,
                                                        int targetSamples,
                                                        long opsPerInv,
                                                        int batchSize,
                                                        ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                                 throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_SingleShotTime

          public org.openjdk.jmh.results.BenchmarkTaskResult noReasoning_SingleShotTime​(org.openjdk.jmh.runner.InfraControl control,
                                                                                        org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                                 throws Throwable

      Throws:
        `Throwable`

    - #### noReasoning_ss_jmhStub

          public static void noReasoning_ss_jmhStub​(org.openjdk.jmh.runner.InfraControl control,
                                                    org.openjdk.jmh.results.RawResults result,
                                                    org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                                    org.openjdk.jmh.infra.IterationParams iterationParams,
                                                    org.openjdk.jmh.infra.ThreadParams threadParams,
                                                    org.openjdk.jmh.infra.Blackhole blackhole,
                                                    org.openjdk.jmh.infra.Control notifyControl,
                                                    int startRndMask,
                                                    int batchSize,
                                                    ReasoningBenchmark_jmhType l_reasoningbenchmark0_0)
                                             throws Throwable

      Throws:
        `Throwable`